Subject: bug#4428: 23.1; xim hides minibuffer or bottom line of the frame

From: Steven Dick <[email-masked]>
Date: Mon, 14 Sep 2009 13:41:09 -0400

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

The xim menu is positioned incorrectly, and obscures the bottom line of
the frame.  Usually this is the minibuffer, making the minibuffer unreadable
unless it is resized.  If the minibuffer is split off into its own
frame, then the status bar for the bottom window is totally covered
up, although the xim menu in the separate minibuffer window is
correctly placed on its own line.

Usually the XIM menu is placed within one character of the left side
of the window on top of the minibuffer line or status bar.  If the
window is stretched horizontally, it seems to keep a fixed position
from the right side, so at least a part of the minibuffer becomes
usable.

This bug can be worked around by disabling XIM completely, either with the
configure option --without-xim at compile time, or by setting the X resource
emacs*useXIM: false

It would be nice if there was an option to control placement of the XIM menu,
but at the very least, this placement bug should be fixed.

This bug was exhibited by both the blastwave precompiled version (below)
and the latest version (23.1.3?) compiled from sources on the same platform.

In GNU Emacs 23.1.1 (sparc-sun-solaris2.8, X toolkit, Xaw3d scroll bars)
 of 2009-08-19 on build8s
configured using `configure  '--prefix=/opt/csw' '--with-x-toolkit=athena' 'CC=gcc' 'CFLAGS=-O3 -mcpu=v8 ' 'CPPFLAGS= -I/opt/csw/include  -I/opt/csw/gcc3/include -I/opt/csw/gcc3/include/c++/3.4.6  -I/opt/csw/include ''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  desktop-save-mode: t
  tooltip-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t